racket-mode (20250321~git.f5098c6-2) unstable; urgency=medium

  * Only run ERT tests in autopkgtest
    - The racket tests run too slow on slow architectures and time out on
      buildds.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Mar 2025 15:13:34 -0700

racket-mode (20250321~git.f5098c6-1) unstable; urgency=medium

  * Update to new upstream version 20250321~git.f5098c6.
  * Clean up doc after dh_clean instead of dh_auto_clean
  * Add d/tests/control for autopkgtest
    - Perform all recommended tests in autopkgtest including `make
      test-racket' and ERT tests.
    - Skip autopkgtest on armel as it still uses racket BC.
    - Drop "Testsuite: autopkgtest-pkg-elpa" in d/control.
  * Use a longer timeout for Debian buildd environments
    - 900 seconds is still not long enough for some slower architectures.
    - Increase to 1800 seconds.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Mar 2025 03:23:21 -0700

racket-mode (20250312~git.cf92277-1) unstable; urgency=medium

  * Update to new upstream version 20250312~git.cf92277.
    - Improve UX for back end startup failures.
  * Use extend-diff-ignore in d/s/options to avoid extraneous diffs during
    building
    - Drop save/restore handling in d/rules in favor of d/s/options.
    - This simplifies the handling of doc/racket-mode.texi diffs generated
      during building that causes source changes and fails
      build-twice-in-a-row.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 18 Mar 2025 14:25:00 -0700

racket-mode (20250212~git.eef5e9a-1) unstable; urgency=medium

  * Update to new upstream version 20250212~git.eef5e9a.
  * Mark elpa-racket-mode-doc as "Multi-Arch: foreign"
  * Update Standards-Version to 4.7.2; no change needed
  * Save and restore doc/racket-mode.texi to fix build-twice-in-a-row

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 23:16:50 -0800

racket-mode (20250205~git.d9e66c7-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Mar 2025 17:49:55 +0800

racket-mode (20250205~git.d9e66c7-2~exp2) experimental; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * Add elpa-racket-mode-doc package for racket-mode docs
    - Enable building docs in d/rules
    - Rename d/elpa -> d/elpa-racket-mode.elpa
    - Add elpa-racket-mode-doc section in d/control
      + Also capitalize Emacs.
    - Suggests elpa-racket-mode-doc in elpa-racket-mode in d/control
    - Add packages required for building docs to B-D in d/control
      + Also remove <!nocheck> for racket as it's also required for
        building docs.
    - Add d/elpa-racket-mode-doc.docs for documentations
    - Add d/elpa-racket-mode-doc.info for info pages and linked images
    - Skip compressing svg files referenced in info pages
    - Add lintian-overrides for info page figures
    - Add d/elpa-racket-mode-doc.doc-base registry
  * Enable all tests
    - racket-tests/repl has been fixed upstream.

  [ Sean Whitton ]
  * Replace build-dep elpa-faceup -> Emacs 30.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2025 18:38:07 +0800

racket-mode (20250205~git.d9e66c7-1) unstable; urgency=medium

  * Update to new upstream version 20250205~git.d9e66c7.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 08 Feb 2025 01:50:53 -0800

racket-mode (20250125~git.a3bcfd2-1) unstable; urgency=medium

  * Update to new upstream version 20250125~git.a3bcfd2.
  * Add d/salsa-ci.yml with default template
  * Add git <!nocheck> to Build-Depends in d/control
    - This is required for ERT running on Salsa CI.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 31 Jan 2025 13:23:03 -0800

racket-mode (20250122~git.142c36c-1) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 23 Jan 2025 23:29:45 -0800

racket-mode (20250122~git.142c36c-1~exp1) experimental; urgency=medium

  * Update to new upstream version 20250122~git.142c36c.
    - Upstream now properly detect headless build daemon environments and
      skip tests that are not applicable.
    - As we now also run test-racket, we have coverage on all available
      tests (Closes: #978709)
  * Drop all custom patches now that they are properly handled upstream

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 22 Jan 2025 10:41:56 -0800

racket-mode (20250115~git.9e6ea1f-1~exp4) experimental; urgency=medium

  * Skip tests skipped in CI mode when in Debian Buildd mode

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 20 Jan 2025 03:00:36 -0800

racket-mode (20250115~git.9e6ea1f-1~exp3) experimental; urgency=medium

  * Run both racket and racket-mode tests
    - Set HOME to a temporary directory which is required by the racket
      tests
    - Use the test-racket make target for racket tests
    - Run dh_elpa_test for ERT tests
  * Update Makefile to make it easier to exclude tests.
  * Skip scribble test: failing on Racket 8.14.
  * Skip hash-lang test: require display and not supported in sbuild.
  * Add d/ert-helper.el to skip tests
    - Skip racket-tests/repl which stuck until timeout.
  * Add myself to the debian/* clause in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 19 Jan 2025 21:24:07 -0800

racket-mode (20250115~git.9e6ea1f-1~exp2) experimental; urgency=medium

  * Introduce a new envvar to set a longer timeout for Debian buildds
  * Set DEBIAN_BUILDD to use longer timeout for slower architectures

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 18 Jan 2025 15:32:38 -0800

racket-mode (20250115~git.9e6ea1f-1~exp1) experimental; urgency=medium

  * Update to new upstream version 20250115~git.9e6ea1f.
  * Further increase command timeout to 15 minutes

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 16 Jan 2025 18:02:25 -0800

racket-mode (20250103~git.f2645aa-2~exp1) experimental; urgency=medium

  * Increase timeout of test in CI mode
    - In the previous upload 6 of the tests timed out on all archs except
      amd64 which might be the only arch that was fast enough to finish
      any operation within 60 seconds.
    - Test increasing timeout to 5 minutes.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 14 Jan 2025 20:29:16 -0800

racket-mode (20250103~git.f2645aa-1) unstable; urgency=medium

  * Update to new upstream version 20250103~git.f2645aa.
  * Upload to unstable.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 12 Jan 2025 02:05:02 -0800

racket-mode (20241227~git.f4fe6dd-1) experimental; urgency=medium

  * Update to new upstream version 20241227~git.f4fe6dd.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 03 Jan 2025 03:25:25 -0800

racket-mode (20241217~git.3dc8c17-1) experimental; urgency=medium

  [ Xiyue Deng ]
  * Update to new upstream version 20241217~git.3dc8c17
  * Update d/watch scheme to include commit hash
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Use canonical URL in Vcs-Browser
  * Update standards version to 4.7.0, no changes needed
  * Drop oldoldstable emacs version in Recommends in d/control
  * Add "Rules-Requires-Root: no" to d/control
  * Update build-depends required for tests in d/control
  * Change section from lisp to editors in d/control
  * Set user-emacs-directory to a temp path required by tests in
    d/elpa-test
  * Enable elpa test in d/rules
  * Add Upstream-Contact in d/copyright
  * Update license from GPL-2+ to GPL-3+ as per upstream in d/copyright
    - Upstream updated the license from version 2 and later to version 3
      and later in 2022.
  * Add copyright clause for debian directory in d/copyright (Closes:
    #1091177)
    - Copyright holder is David Bremner based on history and granted by
      David.
    - Also add comments stating that the license of "debian/*" should
      follow upstream as granted by David.
    - Add David's email at Bug#1091177 as reference for clarification.
  * Add d/gbp.conf matching the current practice
  * Add d/README.Debian to document the dgit-maint-debrebase workflow
  * Add myself to Uploaders in d/control

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 27 Dec 2024 13:27:38 +0000

racket-mode (20240301git0-2) experimental; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:40:29 +0900

racket-mode (20240301git0-1) experimental; urgency=medium

  * Update to new upstream version 20240301git0.
  * Drop patch for racket-tests/expand-expression, now upstream.
  * Install all top level elisp files
  * Use upstream generated racket-mode-pkg.el. This will generate an "elpa
    version" of 1; hopefully this does not break anything.

 -- David Bremner <bremner@debian.org>  Mon, 04 Mar 2024 09:34:48 -0400

racket-mode (20240129git0-2) unstable; urgency=medium

  * Expect test "racket-tests/expand-expression" to pass on racket 8.10
    (for autopkgtests).

 -- David Bremner <bremner@debian.org>  Thu, 29 Feb 2024 08:47:30 -0400

racket-mode (20240129git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Improved macro hiding in expander (github issue 697)

 -- David Bremner <bremner@debian.org>  Mon, 29 Jan 2024 06:28:11 -0400

racket-mode (20231222git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Includes support for M-x racket-hash-lang-mode

 -- David Bremner <bremner@debian.org>  Fri, 22 Dec 2023 16:19:54 -0800

racket-mode (20230628git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sun, 09 Jul 2023 17:35:47 -0300

racket-mode (20230425git0-4) unstable; urgency=medium

  * Re-enable all tests, but in upstream's "CI" mode.

 -- David Bremner <bremner@debian.org>  Wed, 28 Jun 2023 08:03:21 +0200

racket-mode (20230425git0-3) unstable; urgency=medium

  * Disable two speed tests, as they can fail in slow environments.

 -- David Bremner <bremner@debian.org>  Sat, 24 Jun 2023 18:26:06 +0200

racket-mode (20230425git0-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 18 Jun 2023 19:00:17 +0300

racket-mode (20230425git0-1) experimental; urgency=medium

  * New upstream snapshot
  * Bug fix: "autopkgtest regression: Process *Racket REPL* connection
    broken by remote peer", thanks to Paul Gevers (Closes: #1033852).
  * Bug fix: "fails to contact repl server in tests", thanks to David
    Bremner (Closes: #978444).

 -- David Bremner <bremner@debian.org>  Thu, 27 Apr 2023 07:47:30 -0300

racket-mode (20210916git0-2) unstable; urgency=medium

  * Enable (nontrivial) autopkgtests

 -- David Bremner <bremner@debian.org>  Mon, 20 Sep 2021 18:11:28 -0300

racket-mode (20210916git0-1) unstable; urgency=medium

  * New upstream snapshot.

 -- David Bremner <bremner@debian.org>  Fri, 17 Sep 2021 11:36:43 -0300

racket-mode (20201227git0-3) unstable; urgency=medium

  * Bug fix: add dependency on elpa-pos-tip?, thanks to Axel Beckert
    (Closes: #979130).

 -- David Bremner <bremner@debian.org>  Sun, 03 Jan 2021 08:16:09 -0400

racket-mode (20201227git0-2) unstable; urgency=medium

  * Disable tests. Workaround for #978444.

 -- David Bremner <bremner@debian.org>  Sun, 27 Dec 2020 19:26:39 -0400

racket-mode (20201227git0-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #978345)

 -- David Bremner <bremner@debian.org>  Sun, 27 Dec 2020 08:31:41 -0400

racket-mode (20200115git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sat, 01 Feb 2020 16:34:17 -0400

racket-mode (20190901git0-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Sat, 14 Sep 2019 12:42:38 -0300

racket-mode (20190901git0-1) experimental; urgency=medium

  * New upstream snapshot
  * Fix Vcs-*
  * Build-depend on dh_elpa >= 2.0
  * Switch to debhelper-compat=12
  * Assert compliance with policy 4.4
  * Drop Enhances: emacs25

 -- David Bremner <bremner@debian.org>  Sat, 07 Sep 2019 20:02:03 -0300

racket-mode (20181003git0-3) unstable; urgency=medium

  * set maintainer to Debian Emacsen team
  * rebuild with dh-elpa 1.16

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 13:25:51 -0300

racket-mode (20181003git0-2) unstable; urgency=medium

  * Install all of racket/ subdirectory in elpa package

 -- David Bremner <bremner@debian.org>  Wed, 24 Oct 2018 21:47:57 -0300

racket-mode (20181003git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Remove manual installation of racket files, rely on dh-elpa >= 1.15
  * Bring back manual handling of *-pkg.el, eliminate unneeded dependency
    on elpa-faceup.
  * Drop unneeded dependence on emacs.
  * Drop now explicit dependency on elpa-s, now generated via *-pkg.el

 -- David Bremner <bremner@debian.org>  Sat, 20 Oct 2018 22:08:47 -0300

racket-mode (20180919git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sun, 23 Sep 2018 12:10:07 -0300

racket-mode (20180908+0+e8850c6-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sat, 08 Sep 2018 12:05:25 -0300

racket-mode (20180731+0+g948c8aa-2) unstable; urgency=medium

  * Don't install racket-tests.el. Bug fix: "Fails to install or upgrade:
    racket-tests.el:20:1:Error: Cannot open load file: No such file or
    directory, faceup", thanks to Axel Beckert (Closes: #905148).

 -- David Bremner <bremner@debian.org>  Wed, 01 Aug 2018 07:23:34 +0800

racket-mode (20180731+0+g948c8aa-1) unstable; urgency=medium

  * New upstream snapshot.
  * Assert compliance with policy 4.1.5

 -- David Bremner <bremner@debian.org>  Tue, 31 Jul 2018 12:08:42 +0800

racket-mode (20170617+0+g9c5bcb7-2) unstable; urgency=medium

  * non-source-only upload.

 -- David Bremner <bremner@debian.org>  Fri, 04 Aug 2017 21:27:23 -0400

racket-mode (20170617+0+g9c5bcb7-1) unstable; urgency=medium

  * Initial Debian upload. (Closes: #864621)

 -- David Bremner <bremner@debian.org>  Fri, 04 Aug 2017 20:20:49 -0400
